hpp-constraints: hpp::constraints::VectorInJoint Class Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
hpp::constraints::VectorInJoint Class Reference
Symbolic calculus

Basic expression representing a vector in a joint frame. More...

`#include <hpp/constraints/symbolic-calculus.hh>`

Inheritance diagram for hpp::constraints::VectorInJoint:
[legend]
Collaboration diagram for hpp::constraints::VectorInJoint:
[legend]

## Public Member Functions
| HPP_CONSTRAINTS_CB_CREATE3 (VectorInJoint, const JointPtr_t &, const vector3_t &, const size_type &) VectorInJoint()
| VectorInJoint (const CalculusBase< VectorInJoint > &other)
| VectorInJoint (const VectorInJoint &vectorInJoint)
| VectorInJoint (const JointPtr_t &joint, const vector3_t &vectorInLocalFrame)
| VectorInJoint (const JointPtr_t &joint, const vector3_t &vectorInLocalFrame, const size_type &nbDof)
const JointPtr_t & | joint () const
const vector3_t & | vector () const
void | impl_value (const ConfigurationIn_t)
void | impl_jacobian (const ConfigurationIn_t)
void | computeCrossRXl ()
Public Member Functions inherited from hpp::constraints::CalculusBase< VectorInJoint >
| CalculusBase ()
| CalculusBase (const vector3_t &value, const JacobianMatrix &jacobian)
| CalculusBase (const CalculusBase &o)
const vector3_t & | value () const
const JacobianMatrix & | jacobian () const
void | computeValue (const ConfigurationIn_t arg)
void | computeJacobian (const ConfigurationIn_t arg)
void | invalidate ()
const CrossMatrix & | cross () const
void | computeCrossValue (const ConfigurationIn_t arg)

## Protected Attributes
JointPtr_t | joint_
vector3_t | vector_
Protected Attributes inherited from hpp::constraints::CalculusBase< VectorInJoint >
vector3_t | value_
JacobianMatrix | jacobian_
CrossMatrix | cross_
bool | vValid_
bool | jValid_
bool | cValid_

## Additional Inherited Members
Public Types inherited from hpp::constraints::CalculusBaseAbstract< ValueType, JacobianType >
typedef ValueType | ValueType_t
typedef JacobianType | JacobianType_t
Protected Member Functions inherited from hpp::constraints::CalculusBase< VectorInJoint >
void | init (const typename Traits< VectorInJoint >::Ptr_t &ptr)

## Detailed Description

Basic expression representing a vector in a joint frame.

## Constructor & Destructor Documentation

## ◆ VectorInJoint() [1/4]

hpp::constraints::VectorInJoint::VectorInJoint | ( | const CalculusBase< VectorInJoint > & | other | ) |
| inline

## ◆ VectorInJoint() [2/4]

hpp::constraints::VectorInJoint::VectorInJoint | ( | const VectorInJoint & | vectorInJoint | ) |
| inline

## ◆ VectorInJoint() [3/4]

hpp::constraints::VectorInJoint::VectorInJoint | ( | const JointPtr_t & | joint,
|  | const vector3_t & | vectorInLocalFrame )
| inline

## ◆ VectorInJoint() [4/4]

hpp::constraints::VectorInJoint::VectorInJoint | ( | const JointPtr_t & | joint,
|  | const vector3_t & | vectorInLocalFrame,
|  | const size_type & | nbDof )
| inline

## Member Function Documentation

## ◆ computeCrossRXl()

void hpp::constraints::VectorInJoint::computeCrossRXl | ( |  | ) |
| inline

## ◆ HPP_CONSTRAINTS_CB_CREATE3()

hpp::constraints::VectorInJoint::HPP_CONSTRAINTS_CB_CREATE3 | ( | VectorInJoint | ,
|  | const JointPtr_t & | ,
|  | const vector3_t & | ,
|  | const size_type & | )
| inline

## ◆ impl_jacobian()

void hpp::constraints::VectorInJoint::impl_jacobian | ( | const ConfigurationIn_t |  | ) |
| inline

## ◆ impl_value()

void hpp::constraints::VectorInJoint::impl_value | ( | const ConfigurationIn_t |  | ) |
| inline

## ◆ joint()

const JointPtr_t & hpp::constraints::VectorInJoint::joint | ( |  | ) | const
| inline

## ◆ vector()

const vector3_t & hpp::constraints::VectorInJoint::vector | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ joint_

JointPtr_t hpp::constraints::VectorInJoint::joint_
| protected

## ◆ vector_

vector3_t hpp::constraints::VectorInJoint::vector_
| protected

The documentation for this class was generated from the following file:

- include/hpp/constraints/symbolic-calculus.hh